Naar hoofdinhoud gaan
GET
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
groups
/
{group_id}
/
members
Leden van authenticatiegroep voor account weergeven
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/groups/{group_id}/members \
  --header 'Authorization: Bearer <token>'
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "group_id": "<string>",
  "page": 123,
  "page_size": 123,
  "total": 123,
  "groups": [
    {
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "id": "<string>",
      "keycloak_name": "<string>",
      "name": "<string>",
      "attributes": {},
      "description": "<string>",
      "keycloak_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "linked_scopes": [
        {
          "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "resource_type": "<string>"
        }
      ],
      "parent_id": "<string>",
      "path": "<string>",
      "permission_context": {
        "assigned_bundle_keys": [
          "<string>"
        ],
        "direct_capability_keys": [
          "<string>"
        ],
        "owner_assignments": [
          {
            "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          }
        ],
        "resolved_capability_keys": [
          "<string>"
        ],
        "status": "active",
        "subject_id": "",
        "subject_type": "unknown"
      },
      "subgroup_ids": [
        "<string>"
      ]
    }
  ],
  "linked_scopes": [
    {
      "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resource_type": "<string>"
    }
  ],
  "members": [
    {
      "resolved": true,
      "subject_id": "<string>",
      "subject_type": "<string>",
      "group": {
        "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "id": "<string>",
        "keycloak_name": "<string>",
        "name": "<string>",
        "attributes": {},
        "description": "<string>",
        "keycloak_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "linked_scopes": [
          {
            "resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "resource_type": "<string>"
          }
        ],
        "parent_id": "<string>",
        "path": "<string>",
        "permission_context": {
          "assigned_bundle_keys": [
            "<string>"
          ],
          "direct_capability_keys": [
            "<string>"
          ],
          "owner_assignments": [
            {
              "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
            }
          ],
          "resolved_capability_keys": [
            "<string>"
          ],
          "status": "active",
          "subject_id": "",
          "subject_type": "unknown"
        },
        "subgroup_ids": [
          "<string>"
        ]
      },
      "user": {
        "id": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "username": "<string>"
      }
    }
  ],
  "search": "<string>",
  "users": [
    {
      "id": "<string>",
      "email": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "username": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisaties

Authorization
string
header
vereist

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Padparameters

group_id
string
vereist
account_id
string<uuid>
vereist

Queryparameters

search
string | null
page
integer
standaard:1
page_size
integer
standaard:25

Respons

account_id
string<uuid>
vereist
group_id
string
vereist
page
integer
vereist
page_size
integer
vereist
total
integer
vereist
groups
GroupResponse · object[]
linked_scopes
GroupScopeLinkResponse · object[]
members
GroupMemberResponse · object[]
search
string | null
users
GroupMemberUserResponse · object[]